.PHONY: upload

upload: assets/main.css sitemap.xml
	rsync -r --exclude .git/ --exclude src/ --exclude node_modules/ . doktorkraus.de:/var/www/bovender

assets/main.css: src/component.scss src/config.scss src/bovender.scss
	yarn exec webpack

sitemap.xml: index.html privacy.html
	sed -i -E "s/mod>[^<]*/mod>$$(date --rfc-3339=date)/" sitemap.xml
